
<div class="marge">
    <div class="row col-md-3">
        <div class="panel panel-primary">
            <div class="panel-heading">Ajouter Patient</div>
            <div class="panel-body">

                <form #f="ngForm" (ngSubmit)="ajouterpatient(f.value)">
                <div class="form-group">
                    <label for="usr">Nom :</label>
                    <input type="text" name="nompatient" class="form-control" ngModel>
                </div>
                <div class="form-group">
                    <label for="pwd">Prenom :</label>
                    <input type="text" name="prenompatient" class="form-control" ngModel>
                </div>
                <div class="form-group">
                    <label for="usr">Adresse :</label>
                    <input type="text" name="adressepatient" class="form-control" ngModel>
                </div>
                <div class="form-group">
                    <label for="pwd">Telephone :</label>
                    <input type="text" name="telpatient" class="form-control" ngModel>
                </div>
                <div class="form-group">
                    <label for="usr">Date de Naissance:</label>
                    <input type="date" name="dateNaisspatient" class="form-control" ngModel>
                </div>
                <div class="form-group">
                    <label for="sel1">Sexe :</label>
                    <select class="form-control" name="sexepatient" ngModel>
                        <option>M</option>
                        <option>F</option>
                        <option>AUTRE</option>
                    </select>
                </div>
                <button type="submit" class="btn btn-primary col-md-12">Enregistrer</button>
            </form>
            </div>
            

        </div>
    </div>

    <div class="row col-md-9">
        <div class="panel panel-primary">
            <div class="panel-heading"></div>
            <div class="panel-body">

                <h2 class="bg-primary col-sm-6">INFORMATION PATIENT</h2>
                <div class="col-md-offset-9">
                    <img src="/assets/images/img.jpg" width="150" class="img-circle" alt="Cinque Terre">
                </div>
                <div>
                    <form #fo="ngForm" (ngSubmit)="Onchercher(fo.value)">
                        <div class="form-group col-sm-3">
                            <label style="color: red;"></label>
                            <input type="text" name="nompatient" class="form-control" ngModel placeholder="Recherche">
                            <button type="submit" class="btn btn-primary col-sm-12 glyphicon glyphicon-search"></button>
                        </div>
                    </form>
                </div>

                <table class="table table-bordered" *ngIf="listepatient">
                    <thead>
                        <tr>
                            <th>ID</th>
                            <th>NOM</th>
                            <th>PRENOM</th>
                            <th>ADRESSE</th>
                            <th>TELEPHONE</th>
                            <th>DATE NAISSANCE</th>
                            <th>SEXE</th>


                        </tr>
                    </thead>
                    <tbody *ngFor="let patient of listepatient._embedded.patients">
                        <tr>
                            <td>{{patient.idpatient}}</td>
                            <td>{{patient.nompatient}}</td>
                            <td> {{patient.prenompatient}}</td>
                            <td>{{patient.adressepatient}}</td>
                            <td>{{patient.telpatient}}</td>
                            <td>{{patient.dateNaisspatient | date: 'dd/MM/yyyy'}}</td>
                            <td>{{patient.sexepatient}}</td>
                            <td><button class="btn btn-danger"> <a (click)="onDelete(patient)"
                                        class="glyphicon glyphicon-trash"></a> </button></td>
                            <td><button class="btn btn-warning"> <a (click)="onUpdate(patient)"
                                    class="glyphicon glyphicon-pencil"></a> </button></td>
                           
                        </tr>

                    </tbody>
                </table>
                <ul *ngIf="pages" class="nav nav-pills">
                    <li [ngClass]="i==pagecourant?'active':''" *ngFor="let p  of pages; let i=index">
                        <a (click)="pagePatient(i)">{{i}}</a>
                    </li>
                </ul>
            </div>
        </div>

    </div>


</div>